From: Punit Agrawal <punitagrawal@gmail.com>
Date: Thu, 9 Sep 2021 15:28:55 +0900
Subject: hwlatdetech: get_cyclictest_snapshot: Always install manpages

The manpages for get_cyclictest_snapshot and hwlatdetect are
conditionally installed if the python3 site library location path is
available at compile time.

As get_cyclictest_snapshot and hwlatdetect are installed
unconditionally (with the binary package gaining a python3
dependency), do the same for the manpages.

Also, drop the PYLIB check in the Makefile as it's no longer used.
---
 Makefile | 16 +++-------------
 1 file changed, 3 insertions(+), 13 deletions(-)

diff --git a/Makefile b/Makefile
index eaa5146..3aa5779 100644
--- a/Makefile
+++ b/Makefile
@@ -35,13 +35,6 @@ CFLAGS ?= -Wall -Wno-nonnull
 CPPFLAGS += -D_GNU_SOURCE -Isrc/include
 LDFLAGS ?=
 
-PYLIB  ?= $(shell python3 -c 'import distutils.sysconfig;  print (distutils.sysconfig.get_python_lib())')
-
-# Check for errors, such as python3 not available
-ifeq (${PYLIB},)
-	undefine PYLIB
-endif
-
 MANPAGES = src/cyclictest/cyclictest.8 \
 	   src/pi_tests/pi_stress.8 \
 	   src/ptsematest/ptsematest.8 \
@@ -57,12 +50,9 @@ MANPAGES = src/cyclictest/cyclictest.8 \
 	   src/sched_deadline/deadline_test.8 \
 	   src/ssdd/ssdd.8 \
 	   src/sched_deadline/cyclicdeadline.8 \
-	   src/oslat/oslat.8
-
-ifdef PYLIB
-	MANPAGES += src/cyclictest/get_cyclictest_snapshot.8 \
-	src/hwlatdetect/hwlatdetect.8
-endif
+	   src/oslat/oslat.8 \
+	   src/cyclictest/get_cyclictest_snapshot.8 \
+	   src/hwlatdetect/hwlatdetect.8
 
 ifeq ($(MAN_COMPRESSION),gzip)
 	MANPAGES := $(MANPAGES:.8=.8.gz)
